const {port, parser} = require('./port')
const wss = require('./websocket')
const { parse } = require('path')

parser.on('data', function returnStatus(data) {
    console.log(data.toString())
    wss.clients.forEach(client => {
        if(client.currentStatus === data.toString()) return
        console.log(`sending status to ${client.id}`)
        client.send(data.toString())
        client.currentStatus = data.toString()
    })
})

const allowedMessages = ['lock', 'unlock', 'status']
wss.on('connection', async function connection(ws) {
    port.write('status\n')
    port.flush()
    ws.on('message', function incoming(buffer) {
        const message = buffer.toString('utf8').trim()
        if(allowedMessages.includes(message)) {
            port.write(`${message}\n`)
            port.flush()
        }
    });
})